/* 
 * Copyright (c) 1988 Michael A. Cooper, University of Southern California.
 * This program may be used, copied, modified, and redistributed freely
 * for noncommercial purposes, so long as this notice remains intact.
 */

/*
 * $Header: getdtent.h,v 4.1 88/07/05 15:59:53 mcooper Exp $
 *------------------------------------------------------------------
 *
 * $Source: /usr/skat3/src/common/usc/etc/downtime/RCS/getdtent.h,v $
 * $Revision: 4.1 $
 * $Date: 88/07/05 15:59:53 $
 * $State: Exp $
 *
 *------------------------------------------------------------------
 *
 * Michael A. Cooper
 * Research and Development Group
 * University Computing Services 
 * University of Southern California
 * (mcooper@oberon.USC.EDU)
 *
 *------------------------------------------------------------------
 * $Log:	getdtent.h,v $
 * Revision 4.1  88/07/05  15:59:53  mcooper
 * Added copyright notice.
 * 
 * Revision 4.0  88/04/20  15:43:46  mcooper
 * Version 4.
 * 
 * Revision 1.2  88/04/20  13:37:40  mcooper
 * Replace F_BROADCAST with F_MSG_REMOTE.
 * Added F_MSG_LOCAL.
 * 
 * Revision 1.1  88/04/11  19:49:40  mcooper
 * Initial revision
 * 
 *------------------------------------------------------------------
 */


#define FC_HOW          0                   /* How to bring down the system */
#define            FC_KILL         'K'      /*      - Regular Kill          */
#define            FC_HALT         'H'      /*      - Halt                  */
#define            FC_REBOOT       'R'      /*      - Reboot                */
#define            FC_FAKE         'F'      /*      - Fake the shutdown     */
#define FC_MOTD         1                   /* Message in /etc/motd?        */
#define FC_MSG_REMOTE   2                   /* Send remote warnings         */
#define FC_MSG_LOCAL    3                   /* Send local warnings          */
#define FC_FTSY         4                   /* Fastboot OR NoSync           */
#define            FC_FASTBOOT     'F'      /*      - Fastboot              */
#define            FC_NOSYNC       'S'      /*      - No Sync               */
#define FC_SHUTMSG      5                   /* Shutdown message type        */
#define            FC_SHUTMSG_ONE  'O'      /*      - One line format       */
#define            FC_SHUTMSG_VER  'V'      /*      - Verbose format        */
#define FC_END          6                   /* The end of the flags field   */
#define FC_NULL         '-'                 /* Entry is blank               */
#define FC_YES          'Y'                 /* Yes                          */
#define FC_NO           'N'                 /* No                           */
#define FC_DONE         'D'                 /* Done                         */
