/* 
 * Copyright (c) 1988 Michael A. Cooper, University of Southern California.
 * This program may be used, copied, modified, and redistributed freely
 * for noncommercial purposes, so long as this notice remains intact.
 */

#ifndef lint
static char *RCSid = "$Header: list.c,v 4.1 88/07/05 15:59:58 mcooper Exp $";
#endif

/*
 *------------------------------------------------------------------
 *
 * $Source: /usr/skat3/src/common/usc/etc/downtime/RCS/list.c,v $
 * $Revision: 4.1 $
 * $Date: 88/07/05 15:59:58 $
 * $State: Exp $
 *
 *------------------------------------------------------------------
 *
 * Michael A. Cooper
 * Research and Development Group
 * University Computing Services 
 * University of Southern California
 * (mcooper@oberon.USC.EDU)
 *
 *------------------------------------------------------------------
 *
 * $Log:	list.c,v $
 * Revision 4.1  88/07/05  15:59:58  mcooper
 * Added copyright notice.
 * 
 * Revision 4.0  88/04/20  15:42:29  mcooper
 * Version 4.
 * 
 * Revision 3.0  87/07/24  14:19:16  mcooper
 * Version 3.
 * 
 *------------------------------------------------------------------
 */

#include "defs.h"

/*
 * listall - List all downtime entries
 */

listall()
{
  struct downtime *d;
  int count = 0, donesomething = 0;

  dtrewind();

  while (d = getdtent()) {
    donesomething = TRUE;
    printf("\t\t[ Entry Number %d ]\n", ++count);
    prinfo(d);
    putchar('\n');
  }

  if (!donesomething) {
    printf("No entries found.\n");
    return(-1);
  }

  return(0);
}
